Bug 260763 - Advocacy: Sites using FreeBSD: update
Summary: Advocacy: Sites using FreeBSD: update
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Website (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-doc (Nobody)
URL: https://www.freebsd.org/advocacy/#_si...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-28 17:01 UTC by Graham Perrin
Modified: 2022-04-18 19:28 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Perrin 2021-12-28 17:01:17 UTC
> … many of them are using FreeBSD.

<http://uptime.netcraft.com/perf/reports/Hosters> redirects to 
<https://uptime.netcraft.com/perf/reports/Hosters> where, more accurately, only one site uses FreeBSD. With all due respect, this is not good advocacy. 


The second link <https://docs.freebsd.org/en/books/handbook/#introduction-nutshell-users> no longer leads to a list of sites using FreeBSD. 


I reckon: 

a) remove the bullet point for Netcraft; and

b) add a point with reference to <https://freebsdfoundation.org/freebsd-project/what-is-freebsd/>, where we have (amongst other things): 

> Who is Using FreeBSD?

– I'll send an e-mail to the Foundation, for their page to more accurately refer to <https://docs.freebsd.org/en/books/handbook/introduction/#introduction-nutshell-users> (instead of outdated <https://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/nutshell.html#introduction-nutshell-users>). 

----

Better, IMHO: remove both bullet points, then have #_sites_using_freebsd anchor to a simple sentence that includes the link to the Foundation page. 

(Foundation staff are well-placed to co-ordinate advocacy activities. Give yourselves one less area to maintain at the FreeBSD web site.)
Comment 1 Sergio Carlavilla Delgado freebsd_committer 2021-12-29 10:40:18 UTC
(In reply to Graham Perrin from comment #0)

> Better, IMHO: remove both bullet points, then have #_sites_using_freebsd anchor > to a simple sentence that includes the link to the Foundation page.

I also prefer this option too, can you please prepare a sentence for the link?
Something like:

== Sites using FreeBSD

The sentence link:https://freebsdfoundation.org/freebsd-project/what-is-freebsd/[text-for-the-link]
Comment 2 Graham Perrin 2022-01-22 21:27:49 UTC
(In reply to Sergio Carlavilla Delgado from comment #1)

Thanks for your patience. 

Drafted for us: <https://github.com/freebsd/freebsd-doc/pull/51>
Comment 3 Graham Perrin 2022-01-22 21:46:09 UTC
(In reply to Graham Perrin from comment #0)

> … I'll send an e-mail to the Foundation …

Done.
Comment 4 commit-hook freebsd_committer 2022-02-04 20:59:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=e618694e4287dbb1ddff498f566de7207f53c9d6

commit e618694e4287dbb1ddff498f566de7207f53c9d6
Author:     Sergio Carlavilla Delgado <carlavilla@FreeBSD.org>
AuthorDate: 2022-02-04 20:56:50 +0000
Commit:     Sergio Carlavilla Delgado <carlavilla@FreeBSD.org>
CommitDate: 2022-02-04 20:56:50 +0000

    Advocacy: update and simplify the page

    PR:             260763
    Submitted by:   Graham Perrin <grahamperrin (AT) gmail.com>
    Pull Request:   https://github.com/freebsd/freebsd-doc/pull/51

 website/content/en/advocacy/_index.adoc | 38 +++++++++++++--------------------
 1 file changed, 15 insertions(+), 23 deletions(-)
Comment 5 Sergio Carlavilla Delgado freebsd_committer 2022-02-04 21:00:03 UTC
Fixed. Thanks for taking care of this :)